Subject: IPP> RESEND: MOD - Resolving IPP/JMP job-state and job-state-reasons differences: for Wed 5/21 IPP telecon, 1-3pm PDT (4-6pm EDT)

From: Tom Hastings <[email-masked]>
Date: Tue, 20 May 1997 10:23:04 PDT

For the IPP telecon, Wed, 5/21, 1-3pm PDT (4-6 EDT).

As stated in my mail yesterday, the JMP meeting assigned
me the action item to put the harmonization of IPP and JMP job-state
and job-state-reasons on the IPP agenda.

I've replaced the 3 files with some added material:

ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/
ftp://ftp.pwg.org/pub/pwg/jmp/contributions/
-rw-r--r--   1 pwg      pwg        61952 May 20 17:04 ippstate.doc
-rw-r--r--   1 pwg      pwg        70651 May 20 17:04 ippstate.pdf
-rw-r--r--   1 pwg      pwg        40971 May 20 17:04 ippstate.txt

and updated the date to 5/20/97.

I copied in the job state transition table from the Job Monitoring MIB
appendix, since an IPP issue suggests that we need such a table.

Also I copied in the table that shows which job states, each job-state-reason
can be used with from the Job Monitoring MIB.  IPP should have such a table
as well.

Sorry for the repost.

Thanks,
Tom

P.S. We are not sure of the phone number for tommorrow's IPP call, since the
attached mail was only for the previous 3 calls:

>Return-Path: <[email-masked]>
>To: "ipp%pwg.org" <[email-masked]>
>From: Don Wright <[email-masked]>
>Date: Tue, 22 Apr 1997 12:13:56 PDT
>Subject: IPP> ADM> Conference Call Schedule
>Sender: [email-masked]
>
>I have reserved lines for the usual Wednesday conference
>calls for April 23, April 30 and May 7.  All the details
>are the same as always but just for anyone new:
>
>Dial-in Number: 1-423-673-6712
>Access code:    190148
>Date:           4/23, 4/30 and 5/7
>Time:           4PM Eastern, 1PM Pacific
>Duration:       2.5 hours
>Participants:   20 Max
>
>Don
>
>
>*************************************************************
>* Don Wright ([email-masked])        Lexmark International *
>* Manager                               Strategic Alliances *
>* 740 New Circle Rd                     Phone: 606-232-4808 *
>* Lexington, KY  40511                    Fax: 606-232-6740 *
>*************************************************************

>Return-Path: <[email-masked]>
>X-Sender: hastings@zazen (Unverified)
>Date: Tue, 20 May 1997 01:38:00 PDT
>To: [email-masked], [email-masked]
>From: Tom Hastings <[email-masked]>
>Subject: IPP> Resolving IPP/JMP job-state and job-state-reasons differences:
>  for Wed 5/21 IPP telecon, 1-3pm PDT (4-6pm EDT)
>Sender: [email-masked]
>
>For the IPP telecon, Wed, 5/21, 1-3 pm PDT (4-6 pm EDT).
>
>The Job Monitoring MIB project is nearling completion and we wanted to make
>sure that the JMP model of a print job covered IPP.  In other words, an SNMP
>agent will have to map the IPP semantics onto the JMP representation of a
>job.  The JMP wanted to meet with the IPP folks to resolve these differences.
>Since JMP will be monitoring output devices and servers that implement
>different protocols, JMP may need to be a superset of IPP, not one-to-one.
>However,
>an SNMP agent must be able to map the semantics of an IPP server or printer
>into the JMP semantics.
>
>I've posted a detailed comparison of the IPP job-state and job-state-reasons
>attributes with the JMP jmJobState object and the jobStateReasons1 attribute
>in both sub-directories:
>
>ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/
>ftp://ftp.pwg.org/pub/pwg/jmp/contributions/
>-rw-r--r--   1 pwg      pwg        52224 May 20 08:25 ippstate.doc
>-rw-r--r--   1 pwg      pwg        50264 May 20 08:26 ippstate.pdf
>-rw-r--r--   1 pwg      pwg        34760 May 20 08:26 ippstate.txt
>
>The document lists the differencs, and lists alternatives for resolving the
>differences.  Then it lists the entire IPP or JMP specification for these
>attributes, as modified last week by both the IPP and JMP projects.
>
>Take a look.
>
>Thanks,
>Tom
>
>
>